@echo off

SET JDK_HOME=C:\opt\j2sdk1.4.2_10\bin
SET COMMON_LIB=lib
SET CLASSPATH=%COMMON_LIB%\validator-app.jar;%COMMON_LIB%\xwandvalidator.jar;%COMMON_LIB%\frisproc.jar;%COMMON_LIB%\frtaproc.jar;%COMMON_LIB%\xwand-common.jar;%COMMON_LIB%\xwandlink.jar;%COMMON_LIB%\xmlpro.jar;%COMMON_LIB%\xmlschemac.jar;%COMMON_LIB%\xmltransx.jar;%COMMON_LIB%\xwand.jar;%COMMON_LIB%\xwandschema.jar
SET VMARGS=-Xmx512m -Xms512m

REM Directory of input data
SET INPUT_DIR=input\editaxonomy20090309\root
REM SET INPUT_DIR=input\editaxonomy20100311\root

REM Directory of output data (validation result)
SET OUTPUT_DIR=output\editaxonomy20090309\root
REM SET OUTPUT_DIR=output\editaxonomy20100311\root

REM Configuration file of uri map
SET URIMAP_CONFIG=config\urimap_config.xml

REM Configuration file of validation option
SET VALIDATOR_CONFIG=config\validator_config_xbrl21.xml

REM Validation target file (taxonomy or instance)
SET IS_VALIDATE_INSTANCE=false

REM Number of threads
SET THREAD_NUM=2

%JDK_HOME%\java %VMARGS% -DXWAND_LICENSE=. -classpath %CLASSPATH% test.validator.ValidationThreadSample %INPUT_DIR% %OUTPUT_DIR% %VALIDATOR_CONFIG% %URIMAP_CONFIG% %IS_VALIDATE_INSTANCE% %THREAD_NUM%
